/*!
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 * 
 * SPDX-License-Identifier: EPL-2.0
*/

.btn {
  border-radius: 0.3em;
}

// Outlined button variant
.btn.btn-outlined {
  border: 1px solid;
  background-color: transparent;
  transition:
    color 0.1s,
    background-color 0.3s;
}

.btn-outlined.btn-primary {
  color: @brand-primary;
  border-color: @brand-primary;

  &:hover {
    color: @white;
    background-color: @brand-primary;
  }
}

.btn-outlined.btn-secondary {
  color: @brand-secondary;
  border-color: @brand-secondary;

  &:hover {
    color: @white;
    background-color: @brand-secondary;
  }
}

// Collapsible button
.btn-collapse {
  display: flex;
  justify-content: space-between;
  align-content: center;
  padding: 2rem;
  border-radius: 0;
  font-size: 1.6rem;
  cursor: pointer;

  &:hover {
    text-decoration: none;
  }
}
